POST
/personal-space/createCreate a personal space
Creates a personal space for the authenticated user. You can provide a name of up to 100 characters; when omitted, the name is derived from the user. Personal spaces must be included in the current licence.
- IdempotentThe SDK sends
Idempotency-Key, so a retried request is only applied once.
Optional personal space details.
namestringoptional
Defaults to a name derived from the user.
200Returns the created personal space.
dataobjectoptional
statusintegeroptional
successbooleanoptional
403Returned when personal spaces are not included in the current licence or the authenticated user is not permitted to create one.
errorstringoptional
Reason phrase, for example `Bad Request`.
messagestringoptional
statusCodeintegeroptional
Error handling
A 403 is returned when the authenticated user is not permitted to create a personal space or personal spaces are not included in the current licence. The optional name must not exceed 100 characters.